function drawModified(dates_enter, hist_enter)

%Load the financial time series object, dis for Disney stock and look at the weekly data for this time series.
%load disney.mat
%weekly = toweekly(dis);
%dates = (weekly.dates);
%price = fts2mat(weekly.CLOSE);
%Set the|lag| input argument for the window size for the moving average.
window_size = 13;


dates = dates_enter;
data = hist_enter;


%price = fts2mat(fints(dates, data));
%pom = fints(dates, data);
%price = fts2mat(pom);

price = fints(dates, data)

%Calculate the modified moving average moving average.
modif = tsmovavg(price,'m',window_size);
p6 = plot(modif, 'y')
legend(p6, 'Modified moving average')
set(p6,'LineWidth',2)
hold on